Bug 12587 - winbindd child segfaults on connect to an NT4 domain
winbindd child segfaults on connect to an NT4 domain
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-15 23:33 UTC by Stefan Metzmacher
Modified: 2017-03-02 08:04 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-6-test (4.29 KB, patch)
2017-02-27 19:14 UTC, Stefan Metzmacher
slow: review+
metze: review? (gd)
metze: review? (vl)
Details
Patches for v4-5-test (4.62 KB, patch)
2017-02-27 19:15 UTC, Stefan Metzmacher
slow: review+
metze: review? (gd)
metze: review? (vl)
Details
Patches for v4-4-test (4.62 KB, patch)
2017-02-27 19:16 UTC, Stefan Metzmacher
slow: review+
metze: review? (gd)
metze: review? (vl)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-02-15 23:33:34 UTC
If cm_prepare_connection() has try_ipc_auth == false (happens with an NT4 dc),
we segfault dereferencing machine_password (== NULL) in strlen(),
when we pass it to cli_session_setup().

This applies to 4.5 and older. 4.6 passes cli_credentials and avoids this problem.
Comment 1 Stefan Metzmacher 2017-02-27 19:14:37 UTC
Created attachment 12981 [details]
Patches for v4-6-test
Comment 2 Stefan Metzmacher 2017-02-27 19:15:25 UTC
Created attachment 12982 [details]
Patches for v4-5-test
Comment 3 Stefan Metzmacher 2017-02-27 19:16:05 UTC
Created attachment 12983 [details]
Patches for v4-4-test
Comment 4 Ralph Böhme 2017-02-27 20:49:56 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 5 Stefan Metzmacher 2017-02-27 22:32:16 UTC
Pushed to autobuild-v4-{4,5,6}-test.
Comment 6 Karolin Seeger 2017-03-02 08:04:12 UTC
(In reply to Stefan Metzmacher from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!